module wemva_objdso_incore_mod
  use  wemva_kerpix_incore_mod
  use  wemva_offdso_incore_mod
  implicit none


contains



  integer function wemva_objdso_incore_oper(adj, add, bslw, dimg) result(stat)
    logical :: adj, add
    real, dimension(:) :: bslw, dimg
    real, dimension(:), allocatable :: bimg
    allocate(bimg(size(dimg)))

    stat = wemva_bimpix_incore_oper(.false., bslw, bimg)
    stat = wemva_offdso_incore_oper(.false., .false., bimg, dimg)

    deallocate(bimg)

  end function


  

end module
